Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface JavaModelQuery

All Superinterfaces:
  ModelQuery

All Known Implementing Classes:
  JavaModelQueryImpl

    public interface JavaModelQuery

extends ModelQuery

A representation of the model object 'Java Model Query'. JavaModelQuery is a sub class of ModelQuery which points to a Java implemented query.

The following features are supported:

- `Implementation Class Name`

See Also:
  `QueryPackage.getJavaModelQuery()`

Method Summary
`java.lang.String` | `getImplementationClassName()` Returns the value of the 'Implementation Class Name' attribute.
`void` | `setImplementationClassName(java.lang.String value)` Sets the value of the '`Implementation Class Name`' attribute.

Methods inherited from interface org.eclipse.gmt.modisco.infra.query.ModelQuery
`getDescription, getLowerBound, getModelQuerySet, getName, getParameters, getReturnType, getScope, getUpperBound, isIsExternalContextDependent, setDescription, setIsExternalContextDependent, setLowerBound, setModelQuerySet, setName, setReturnType, setUpperBound`

Method Detail

### getImplementationClassName

    java.lang.String getImplementationClassName()

  Returns the value of the 'Implementation Class Name' attribute.

  If the meaning of the 'Implementation Class Name' attribute isn't clear, there really should be more of a description here...

  JavaModelQuery::implemenationClassName contains the qualified name of the class implementing the query. This class must be a sub class of org.eclipse.gmt.modisco.infra.query.core.java.IJavaModelQuery. The Java implementation class must be stored in the same plug-in (or plug-in project) than the query model.

  Returns:
    the value of the 'Implementation Class Name' attribute.
  See Also:
    `setImplementationClassName(String)`, `QueryPackage.getJavaModelQuery_ImplementationClassName()`

### setImplementationClassName

    void setImplementationClassName(java.lang.String value)

  Sets the value of the '`Implementation Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Implementation Class Name' attribute.
  See Also:
    `getImplementationClassName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD